Summary:	Teatime applet for GNOME 2
Name:		teatime
Version:	3.3
Release:	%mkrel 1
License:	GPLv3
Group:		Graphical desktop/GNOME
URL:		http://det.cable.nu/teatime/index.rbx
Source0:	http://det.cable.nu/pakete/teatime-%version.tar.bz2
#gw disable installation here
Patch1:		teatime-3.3-installation.patch
BuildRoot:	%_tmppath/%name-buildroot
BuildRequires:	ruby-panelapplet2
BuildRequires:	ruby-gtk2 >= 0.19
BuildRequires:	ruby-cairo
BuildRequires:	ruby-gst
BuildRequires:  ruby-gconf2
BuildRequires:  ruby-gnome2
BuildRequires:  ruby-gettext
BuildRequires:  ruby-RubyGems

BuildRequires:	x11-server-xvfb
Requires:	ruby-panelapplet2
Requires:	ruby-gtk2 >= 0.19
Requires:	ruby-cairo
Requires:	ruby-gst
Requires:       ruby-gconf2
Requires:  	ruby-gnome2
Requires:  	ruby-gettext

%description
This is the GNOME 2 port of the legendary teatime applet. There are big
enhancements like animated, rendered teacups, user configurable drawing times
and some other gimmiks.


%prep
%setup -q
%patch1 -p1 -b .installation

%build
cd teatime
xvfb-run ruby setup.rb config ||:
ruby setup.rb setup


%install
rm -rf %buildroot
cd teatime
ruby setup.rb install --prefix=%buildroot
#gw usually done by post-install.rb:
install -D -m 644 data-ext/GNOME_TeatimeApplet3_Factory.server %buildroot%_libdir/bonobo/servers/GNOME_TeatimeApplet3_Factory.server
install -D -m 644 data-ext/teatime_applet_3.schemas %buildroot%_sysconfdir/gconf/schemas/teatime_applet_3.schemas
cd ..
%find_lang %name


%clean
rm -rf %buildroot

%if %mdvver < 200900
%post
%post_install_gconf_schemas teatime_applet_3
%update_icon_cache hicolor

%postun
%clean_icon_cache hicolor
%endif

%preun
%preun_uninstall_gconf_schemas teatime_applet_3

%files -f %name.lang
%defattr(0755,root,root,0755)
%{_bindir}/teatime_applet_3
%defattr(0644,root,root,0755) 
%doc teatime/AUTHORS teatime/ChangeLog teatime/README
%{_sysconfdir}/gconf/schemas/teatime_applet_3.schemas
#gw this dir is arch-dependant:
%{_libdir}/bonobo/servers/*
%{_datadir}/pixmaps/*
%ruby_sitelibdir/%{name}*
%_datadir/icons/hicolor/*/apps/*


%changelog
* Mon Jun 01 2009 Götz Waschk <waschk@mandriva.org> 3.3-1mdv2010.0
+ Revision: 381854
- new version
- drop patch 0
- rediff patch 1
- update deps

* Mon May 25 2009 Götz Waschk <waschk@mandriva.org> 3.0-1mdv2010.0
+ Revision: 379583
- new version
- update license
- fix build and installation
- upate deps
- update file list

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.8.0-4mdv2009.0
+ Revision: 261457
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.8.0-3mdv2009.0
+ Revision: 254347
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.8.0-1mdv2008.1
+ Revision: 136535
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Feb 04 2007 Götz Waschk <waschk@mandriva.org> 2.8.0-1mdv2007.0
+ Revision: 116135
- Import teatime

* Sun Feb 04 2007 Gtz Waschk <waschk@mandriva.org> 2.8.0-1mdv2007.1
- drop patch
- fix buildrequires
- new URL
- new version

* Wed Aug 31 2005 Götz Waschk <waschk@mandriva.org> 2.6.0-1mdk
- New release 2.6.0

* Fri Aug 12 2005 Götz Waschk <waschk@mandriva.org> 2.4.4-1mdk
- New release 2.4.4

* Mon Aug 01 2005 Gtz Waschk <waschk@mandriva.org> 2.4.3-1mdk
- fix source URL
- New release 2.4.3

* Wed Feb 09 2005 Michael Reinsch <mr@uue.org> 2.4.1-1mdk
- new version
- fix wrong libexec dir in makefile
- fix buildrequires
- spec file cleanups

* Tue Jun 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4-2mdk
- fix buildrequires

* Sun Jun 27 2004 Michael Reinsch <mr@uue.org> 2.4-1mdk
- initial package

